Bug 750801 - [RFE] specifying the entire image chain as a qemu drive (blockdev-add) (qemu)
[RFE] specifying the entire image chain as a qemu drive (blockdev-add) (qemu)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.4
Unspecified Unspecified
high Severity medium
: pre-dev-freeze
: 7.4
Assigned To: Kevin Wolf
CongLi
: FutureFeature
Depends On: 1086193 1086677 1087142 1159726 1159728
Blocks: 731134 760547 1289208 1469590 773650 773651 773665 773677 773696 1231739 1395265
  Show dependency treegraph
 
Reported: 2011-11-02 08:03 EDT by Saggi Mizrahi
Modified: 2017-08-06 23:54 EDT (History)
30 users (show)

See Also:
Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 760547 (view as bug list)
Environment:
Last Closed: 2017-08-01 19:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saggi Mizrahi 2011-11-02 08:03:38 EDT
Description of problem:
I would like to be able to tell qemu the exact chain of images and let it override the information written within the image metadata

The arg should be something on the line of:
-drive=qcow2:/tmp/A.img,qcow2:/tmp/B.img,raw:/tmp/c.img

The exact formatting is unimportant as long as separators can be escaped and image format can also be specified.

This will allow users that have the base image in multiple location specify the base image on-the-fly without changing the image metadata.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Dor Laor 2011-11-02 08:38:02 EDT
Why not use qemu-img to change the meta data?
Orit, maybe we'll need it for iscsi+block live migration anyway
Comment 3 Kevin Wolf 2011-11-02 09:17:53 EDT
This is another instance of these "we need -blockdev" features. Reassigning to Markus. If there is no RFE for it yet, we can take this one, otherwise this should probably be closed as a duplicate.
Comment 4 Saggi Mizrahi 2011-11-02 09:38:25 EDT
Changing the MD is costly and requires write privileged to all the files in the chain.

Also on long chains we might want to have different chains on different hosts (Locally cached templates). This will mean changing the Metadata while a VM is running. And will mean exclusively locking the template because the same VM might want to be used by another VM on another host.

The point is we have to assume base images never change. This changing the metadata before each VM run breaks this assumption.
Comment 5 Orit Wasserman 2011-11-03 08:21:13 EDT
(In reply to comment #2)
> Why not use qemu-img to change the meta data?
> Orit, maybe we'll need it for iscsi+block live migration anyway
Dor,We don't need to modify the meta data in iscsi+block live migration.
Comment 7 Markus Armbruster 2011-12-02 10:23:59 EST
I think this is a fair RFE.  It needs to be pursued upstream.  No ETA, yet.
Comment 17 Saggi Mizrahi 2012-07-05 16:50:10 EDT
I would just like to clarify that the qemu-img tool also needs a way to have the entire chain passed to it.
Comment 26 Kevin Wolf 2014-07-15 09:53:48 EDT
Basic support is already in 7.0, however even upstream there are a few parts
missing:

* Support for network protocol drivers in blockdev-add
* Modifying backing file options doesn't work for all options yet (e.g. cache)

We're relatively close to implementing these, so I'll leave this BZ for 7.1
for the moment, while keeping cond-nack upstream.
Comment 27 Markus Armbruster 2014-07-16 10:36:48 EDT
Also missing upstream: blockdev-del.  Tracked for 7.1 as bug 1086193.
Comment 28 Kevin Wolf 2014-10-22 05:40:25 EDT
Making progress upstream, but the full implementation won't make it for 7.1.
Comment 30 Ademar Reis 2016-03-15 13:04:12 EDT
blockdev-add/del is still experimental upstream. We don't expect it to be declared stable (API wise) on time for RHEL-7.3, so deferring it to 7.4.
Comment 34 CongLi 2017-05-04 23:32:01 EDT
Based on
1. Bug 1086193 - RFE: Add blockdev-delete QMP command in company with blockdev-add - VERIFIED
https://bugzilla.redhat.com/show_bug.cgi?id=1086193#c16

2. Bug 1159728 - add blockdev-add support with libiscsi backends - VERIFIED
https://bugzilla.redhat.com/show_bug.cgi?id=1159728#c7

3. Bug 1159726 - RFE: blockdev-add support for gluster - VERIFIED
https://bugzilla.redhat.com/show_bug.cgi?id=1159726#c8


Set bug status to 'VERIFIED'.

Thanks.
Comment 36 errata-xmlrpc 2017-08-01 19:27:12 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 37 errata-xmlrpc 2017-08-01 21:04:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 38 errata-xmlrpc 2017-08-01 21:56:50 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 39 errata-xmlrpc 2017-08-01 22:37:35 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 40 errata-xmlrpc 2017-08-01 23:02:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392
Comment 41 errata-xmlrpc 2017-08-01 23:22:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392

Note You need to log in before you can comment on or make changes to this bug.